package com.nifty.cloud.ncs.service;

/**
 * InitiateMultipartUploadの結果保持用クラスです。
 *
 */
public class InitiateMultipartUploadResult
{
	private String bucketName;
	private String key;
	private String uploadId;

	/**
	 * バケット名を取得します。
	 *
	 * @return バケット名
	 */
	public String getBucketName()
	{
		return (bucketName);
	}

	/**
	 * バケット名を設定します。
	 *
	 * @param bucketName
	 *  バケット名
	 */
	public void setBucketName(String bucketName)
	{
		this.bucketName = bucketName;
	}

	/**
	 * オブジェクト名を設定します。
	 *
	 * @return オブジェクト名
	 */
	public String getKey()
	{
		return (key);
	}

	/**
	 * オブジェクト名を設定します。
	 *
	 * @param key
	 *  オブジェクト名
	 */
	public void setKey(String key)
	{
		this.key = key;
	}

	/**
	 * アップロードIDを取得します。
	 *
	 * @return アップロードID
	 */
	public String getUploadId()
	{
		return (uploadId);
	}

	/**
	 * アップロードIDを設定します。
	 *
	 * @param uploadId
	 *  アップロードID
	 */
	public void setUploadId(String uploadId)
	{
		this.uploadId = uploadId.trim();
	}

}
